As of 15 July 2024, Core API endpoints are deprecated and no longer available for Paperspace users.
users
Last verified 17 Jun 2025
list
List information about all users available to either the current authenticated user or the team, if the user belongs to a team. The list method takes an optional first argument to limit the returned user objects.
Examples
paperspace users list \
--apiKey "edc20a51d9b2145..."curl -X GET 'https://api.paperspace.io/users/getUsers' \
-H 'X-Api-Key: edc20a51d9b2145...'paperspace.users.list(function (err, res) {
// handle error or result
});Parameters
| Name | Type | Attributes | Description |
|---|---|---|---|
id |
string | optional | Optional user id to match on |
email |
string | optional | Optional email to match on |
firstname |
string | optional | Optional firstname to match on |
lastname |
string | optional | Optional lastname to match on |
dtCreated |
string | optional | Optional datetime created value to match on |
teamId |
string | optional | Optional teamId to match on |
Response
Type array
[
{
"id": "u123abc",
"email": "[email protected]",
"firstname": "Jon",
"lastname": "Snow",
"dtCreated": "2017-04-15T16:20:59.609Z",
"teamId": "te456def"
},
{
"id": "u789ghi",
"email": "[email protected]",
"firstname": "Jeff",
"lastname": "Green",
"dtCreated": "2016-12-07T15:59:09.769Z",
"teamId": "te456def"
}
]